package main

import (
	"flag"
	"sdk_api/config"
	"sdk_api/dao"
	"sdk_api/server"
	"sdk_api/service"

	log "github.com/sirupsen/logrus"
)

func init() {
	log.SetFormatter(&log.TextFormatter{
		FullTimestamp: true,
	})
}

func main() {
	flag.Parse()
	conf, err := config.New()
	if err != nil {
		panic(err)
	}

	da, err := dao.New(conf)
	if err != nil {
		panic(err)
	}

	if conf.Debug {
		log.SetLevel(log.DebugLevel)
	}

	svs := service.New(conf, da)

	server.StartServer(svs, conf)
}
